Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.gemini.blueprint.extender.internal.dependencies.startup
Enum ContextState

    java.lang.Object
      java.lang.Enum<ContextState>
          org.eclipse.gemini.blueprint.extender.internal.dependencies.startup.ContextState

All Implemented Interfaces:
  Serializable, Comparable<ContextState>

    public enum ContextState

extends Enum<ContextState>

State of an application context while being processed by `DependencyWaiterApplicationContextExecutor`. This enumeration holds the state of an application context at a certain time, beyond the official states such as STARTED/STOPPED.

Author:
  Hal Hildebrand, Costin Leau

Enum Constant Summary
`DEPENDENCIES_RESOLVED` Application context has been started and the OSGi dependencies have been resolved.
`INITIALIZED` Application context has been initialized but not started (i.e.
`INTERRUPTED` Application context has been interrupted.
`RESOLVING_DEPENDENCIES` Application context has been started but the OSGi service dependencies haven't been yet resolved.
`STARTED` Application context has been fully initialized.
`STOPPED` Application context has been stopped.

Method Summary
`boolean` | `isDown()` Indicates whether the state is 'down' or not - that is a context which has been either closed or stopped.
`boolean` | `isResolved()`
`boolean` | `isUnresolved()` Indicates whether the state is unresolved or not.
`static ContextState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContextState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIALIZED

    public static final ContextState INITIALIZED

  Application context has been initialized but not started (i.e. refresh hasn't been called).

### RESOLVING_DEPENDENCIES

    public static final ContextState RESOLVING_DEPENDENCIES

  Application context has been started but the OSGi service dependencies haven't been yet resolved.

### DEPENDENCIES_RESOLVED

    public static final ContextState DEPENDENCIES_RESOLVED

  Application context has been started and the OSGi dependencies have been resolved. However the context is not fully initialized (i.e. refresh hasn't been completed).

### STARTED

    public static final ContextState STARTED

  Application context has been fully initialized. The OSGi dependencies have been resolved and refresh has fully completed.

### INTERRUPTED

    public static final ContextState INTERRUPTED

  Application context has been interrupted. This state occurs if the context is being closed before being fully started.

### STOPPED

    public static final ContextState STOPPED

  Application context has been stopped. This can occur even only if the context has been fully started for example; otherwise `INTERRUPTED` state should be used.

Method Detail

### values

    public static ContextState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContextState c : ContextState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContextState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### isDown

    public boolean isDown()

  Indicates whether the state is 'down' or not - that is a context which has been either closed or stopped.

  Returns:
    true if the context has been interrupted or stopped, false otherwise.

### isUnresolved

    public boolean isUnresolved()

  Indicates whether the state is unresolved or not. An unresolved state means a state which is active (started) in RESOLVING_DEPENDENCIES state.

  Returns:

### isResolved

    public boolean isResolved()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2012. All Rights Reserved.